# Uses of Interface
org.eclipse.emf.cdo.transaction.CDOTransactionHandler

Packages that use CDOTransactionHandler
Package
Description
org.eclipse.emf.cdo.transaction
Client concepts for dealing with transactions, distributed transactions and their save points.

## Uses of CDOTransactionHandler in org.eclipse.emf.cdo.transaction

Classes in org.eclipse.emf.cdo.transaction that implement CDOTransactionHandler
Modifier and Type
Class
Description
`class`
`CDOAsyncTransactionHandler`
Asynchronously executes a delegate handler's pre-event methods.
`class`
`CDOAutoCommitter`
A `transaction handler` that automatically `commits` the `transaction` after an `object` was modified.
`class`
`CDODefaultTransactionHandler`
An empty default implementation of `CDOTransactionHandler1` and `CDOTransactionHandler2`.
`class`
`CDOPostEventTransactionHandler`
An abstract call-back class that is called by a `transcation` after `objects` have been attached, modified or detached.
`static class`
`CDOPostEventTransactionHandler.Default`
An empty default implementation of `CDOPostEventTransactionHandler`.
Methods in org.eclipse.emf.cdo.transaction that return CDOTransactionHandler
Modifier and Type
Method
Description
`CDOTransactionHandler[]`
CDOPushTransaction.`getTransactionHandlers()`
Deprecated.
`CDOTransactionHandler[]`
CDOTransaction.`getTransactionHandlers()`
Constructors in org.eclipse.emf.cdo.transaction with parameters of type CDOTransactionHandler
Modifier
Constructor
Description
``
`CDOAsyncTransactionHandler(CDOTransactionHandler delegate)`